nlohmann::detail::binary_reader< BasicJsonType, SAX > Class Template Reference

deserialization of CBOR, MessagePack, and UBJSON values More...

`#include <json.hpp>`

## Public Member Functions

| binary_reader (input_adapter_t adapter)
| create a binary reader More...
| binary_reader (const binary_reader &)=delete
| binary_reader (binary_reader &&)=default
binary_reader & | operator= (const binary_reader &)=delete
binary_reader & | operator= (binary_reader &&)=default
| ~binary_reader ()=default
bool | sax_parse (const input_format_t format, json_sax_t *sax_, const bool strict=true)
| binary_reader (InputAdapterType &&adapter)
| create a binary reader More...
| binary_reader (const binary_reader &)=delete
| binary_reader (binary_reader &&)=default
binary_reader & | operator= (const binary_reader &)=delete
binary_reader & | operator= (binary_reader &&)=default
| ~binary_reader ()=default
bool | sax_parse (const input_format_t format, json_sax_t *sax_, const bool strict=true, const cbor_tag_handler_t tag_handler=cbor_tag_handler_t::error)

## Static Public Member Functions

static constexpr bool | little_endianess (int num=1) noexcept
| determine system byte order More...

## Detailed Description

### template<typename BasicJsonType, typename SAX = json_sax_dom_parser<BasicJsonType>>
class nlohmann::detail::binary_reader< BasicJsonType, SAX >

deserialization of CBOR, MessagePack, and UBJSON values

## Constructor & Destructor Documentation

## binary_reader() [1/6]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

nlohmann::detail::binary_reader< BasicJsonType, SAX >::binary_reader | ( | input_adapter_t | adapter | ) |

inlineexplicit

create a binary reader

Parameters

  [in] | adapter | input adapter to read from

## binary_reader() [2/6]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

nlohmann::detail::binary_reader< BasicJsonType, SAX >::binary_reader | ( | const binary_reader< BasicJsonType, SAX > & |  | ) |

delete

## binary_reader() [3/6]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

nlohmann::detail::binary_reader< BasicJsonType, SAX >::binary_reader | ( | binary_reader< BasicJsonType, SAX > && |  | ) |

default

## ~binary_reader() [1/2]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

nlohmann::detail::binary_reader< BasicJsonType, SAX >::~binary_reader | ( |  | ) |

default

## binary_reader() [4/6]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

nlohmann::detail::binary_reader< BasicJsonType, SAX >::binary_reader | ( | InputAdapterType && | adapter | ) |

inlineexplicit

create a binary reader

Parameters

  [in] | adapter | input adapter to read from

## binary_reader() [5/6]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

nlohmann::detail::binary_reader< BasicJsonType, SAX >::binary_reader | ( | const binary_reader< BasicJsonType, SAX > & |  | ) |

delete

## binary_reader() [6/6]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

nlohmann::detail::binary_reader< BasicJsonType, SAX >::binary_reader | ( | binary_reader< BasicJsonType, SAX > && |  | ) |

default

## ~binary_reader() [2/2]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

nlohmann::detail::binary_reader< BasicJsonType, SAX >::~binary_reader | ( |  | ) |

default

## Member Function Documentation

## little_endianess()

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

static constexpr bool nlohmann::detail::binary_reader< BasicJsonType, SAX >::little_endianess | ( | int | num = `1` | ) |

inlinestaticconstexprnoexcept

determine system byte order

Returns
  true if and only if system's byte order is little endian

Note
  from http://stackoverflow.com/a/1001328/266378

## operator=() [1/4]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

binary_reader& nlohmann::detail::binary_reader< BasicJsonType, SAX >::operator= | ( | binary_reader< BasicJsonType, SAX > && |  | ) |

default

## operator=() [2/4]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

binary_reader& nlohmann::detail::binary_reader< BasicJsonType, SAX >::operator= | ( | binary_reader< BasicJsonType, SAX > && |  | ) |

default

## operator=() [3/4]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

binary_reader& nlohmann::detail::binary_reader< BasicJsonType, SAX >::operator= | ( | const binary_reader< BasicJsonType, SAX > & |  | ) |

delete

## operator=() [4/4]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

binary_reader& nlohmann::detail::binary_reader< BasicJsonType, SAX >::operator= | ( | const binary_reader< BasicJsonType, SAX > & |  | ) |

delete

## sax_parse() [1/2]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

bool nlohmann::detail::binary_reader< BasicJsonType, SAX >::sax_parse | ( | const input_format_t | format,
|  | json_sax_t * | sax_,
|  | const bool | strict = `true`
| ) |  |

inline

Parameters

  [in] | format | the binary format to parse
  [in] | sax_ | a SAX event processor
  [in] | strict | whether to expect the input to be consumed completed

Returns

## sax_parse() [2/2]

template<typename BasicJsonType , typename SAX = json_sax_dom_parser<BasicJsonType>>

bool nlohmann::detail::binary_reader< BasicJsonType, SAX >::sax_parse | ( | const input_format_t | format,
|  | json_sax_t * | sax_,
|  | const bool | strict = `true`,
|  | const cbor_tag_handler_t | tag_handler = `cbor_tag_handler_t::error`
| ) |  |

inline

Parameters

  [in] | format | the binary format to parse
  [in] | sax_ | a SAX event processor
  [in] | strict | whether to expect the input to be consumed completed
  [in] | tag_handler | how to treat CBOR tags

Returns

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp